<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb</groupId>
    <artifactId>root</artifactId>
    <version>1.10.1</version>
  </parent>
  <artifactId>update</artifactId>
  <packaging>pom</packaging>
  <name>ENTAXY :: UPDATE</name>
  <description>ENTAXY :: UPDATE</description>
  
  <properties>
  	<!-- @TODO move to root -->
  	<groovy-maven-plugin.version>2.1.1</groovy-maven-plugin.version>
  	
  	<projectVersionFormatted />
  	
  </properties>
  
  <build>
  	<pluginManagement>
  		<plugins>
		  	<!-- @TODO move to root -->
			<plugin>
				<groupId>org.codehaus.gmaven</groupId>
				<artifactId>groovy-maven-plugin</artifactId>
				<version>${groovy-maven-plugin.version}</version>	  
			</plugin>
  		</plugins>
  	</pluginManagement>
  	
  	<plugins>
			<plugin>
				<groupId>org.codehaus.gmaven</groupId>
				<artifactId>groovy-maven-plugin</artifactId>
				<executions>
					<execution>
						<phase>clean</phase>
						<goals>
							<goal>execute</goal>
						</goals>
						<configuration>
							<source>
								project.properties["projectVersionFormatted"] = "${project.version}".replace('-', '.')
							</source>
						</configuration>
					</execution>
				</executions>				
			</plugin>
  	</plugins>
  	
  </build>
  
</project>
